#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
#property indicator_width1 1
#property indicator_width2 1

extern int period=28;
extern double StrengthLevel=0;
extern bool EnableAlert=true;

datetime Timee;
datetime Timem;
double Up_Arrow[];
double Dn_Arrow[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexBuffer(0,Up_Arrow);
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,233);
   SetIndexBuffer(1,Dn_Arrow);
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,234);
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
 {
  Comment("");
  return(0);
 }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() 
 { 
  int bars=Bars-IndicatorCounted();
  
  for(int i=1;i<=bars;i++)
  {
   int counter=i;
   double Range=0;
   double AvgRange=0;
   for (counter=i ;counter<=i+100;counter++)
   {
    AvgRange=AvgRange+MathAbs(High[counter]-Low[counter]);
   }
   Range=AvgRange/10;
   double ADX_Main=iADX(Symbol(),0,period,0,MODE_MAIN,i);   
   double ADX_P=iADX(Symbol(),0,period,0,MODE_PLUSDI,i);  
   double ADX_M=iADX(Symbol(),0,period,0,MODE_MINUSDI,i);  
   double ADX_Ppr=iADX(Symbol(),0,period,0,MODE_PLUSDI,i+1);  
   double ADX_Mpr=iADX(Symbol(),0,period,0,MODE_MINUSDI,i+1);  
   if(ADX_P>ADX_M&&ADX_Ppr<=ADX_Mpr&&ADX_Main>=StrengthLevel)
   {
    Up_Arrow[i] = Low[i] - Range*0.1;
    if(Timee!=Time[0]&&Up_Arrow[1]<5000&&EnableAlert)
   {
      Alert(Symbol()," M",Period()," | ADX: UP");
     Timee=Time[0];
    }
   }
   if(ADX_P<ADX_M&&ADX_Ppr>=ADX_Mpr&&ADX_Main>=StrengthLevel)
   {
    Dn_Arrow[i] = High[i] + Range*0.1;
    if(Timee!=Time[0]&&Dn_Arrow[1]<5000&&EnableAlert)
    {
     Alert(Symbol()," M",Period()," | ADX: DOWN");
     Timee=Time[0];
   }     
    }     
   } return (0);    
 }